<?php
function getAndUpdateCounter()
{
  if (!$db_lnk = @sqlite_open("/var/wwwdata/licznik.db", 0666, $msg)){
    //echo 'Wystąpił błąd podczas próby połączenia z bazą...<br />';
    //echo "Komunikat błędu: $msg";
    return false;
  }

  $query = 'SELECT Hits FROM licznik';

  if(!$result = sqlite_query($db_lnk, $query)){
    @sqlite_close();
    //echo 'Wystąpił błąd: nieprawidłowe zapytanie...<br />';
    return false;
  }

  if($row = @sqlite_fetch_array($result)){
    $counter = $row[0];
  }
  else{
    @sqlite_close($db_lnk);
    //echo 'Błąd w danych';
    return false;
  }

  $query = "UPDATE licznik SET Hits = Hits + 1";

  if(!@sqlite_exec($db_lnk, $query, $msg)){
    @sqlite_close();
    //echo 'Wystąpił błąd podczas aktualizacji danych. <br />';
    //echo "Komunikat błędu: $msg";
    return false;
  }

  @sqlite_close($db_lnk);

  return $counter;
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
<title>Moja strona WWW</title>
</head>
<body>
<p>Treść strony</p>
<p>
<?php
if(($counter = getAndUpdateCounter()) === false){
  echo 'Licznik czasowo niedostępny';
}
else if($counter == 1){
  echo 'Ta strona została odwiedzona 1 raz od 20 maja 2012 roku.';
}
else{
  echo "Ta strona została odwiedzona $counter razy od 20 maja 2012 roku.";
}
?>
</p>
</body>
</html>